Bug 1704570 - Extracted tooling from a release image does not contain kubectl
Summary: Extracted tooling from a release image does not contain kubectl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Clayton Coleman
QA Contact: Peter Ruan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 05:38 UTC by Clayton Coleman
Modified: 2019-06-04 10:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:24 UTC

Description Clayton Coleman 2019-04-30 05:38:58 UTC
The archives created by oc adm release extract should include kubectl and a basic reader.

Windows will be excluded because zip files can’t dedup content (instructions for renaming the binary in readme.md).

Comment 1 Maciej Szulik 2019-05-02 20:31:30 UTC
This was fixed in https://github.com/openshift/origin/pull/22714 moving to qa.

Comment 2 Peter Ruan 2019-05-04 06:30:23 UTC
verified with 4.1.0-0.nightly-2019-05-03-145222
pruan@dhcp-91-104 ~/Downloads $ tar -tf openshift-client-linux-4.1.0-0.nightly-2019-05-03-152614.tar.gz                    [ruby-2.6.0]
README.md
oc
kubectl
pruan@dhcp-91-104 ~/Downloads $ tar -tf openshift-client-mac-4.1.0-0.nightly-2019-05-03-152614.tar.gz                      [ruby-2.6.0]
README.md
oc
kubectl
pruan@dhcp-91-104 ~/Downloads $ tar -tf openshift-install-linux-4.1.0-0.nightly-2019-05-03-152614.tar.gz                   [ruby-2.6.0]
README.md
openshift-install
pruan@dhcp-91-104 ~/Downloads $ less openshift-client-windows-4.1.0-0.nightly-2019-05-03-152614.zip                        [ruby-2.6.0]
Archive:  openshift-client-windows-4.1.0-0.nightly-2019-05-03-152614.zip
Zip file size: 22977709 bytes, number of entries: 2
-rwxr-xr-x  2.0 unx     1024 bX defN 19-May-03 04:29 README.md
-rwxr-xr-x  2.0 unx 77120512 bX defN 19-May-03 04:29 oc.exe
2 files, 77121536 bytes uncompressed, 22977437 bytes compressed:  70.2%

Comment 4 errata-xmlrpc 2019-06-04 10:48:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.